Name:           python-caja
Version:        1.18.0
Release:        1%{?dist}
Epoch:          1
Summary:        Python bindings for Caja

Group:          Development/Libraries
License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.17/%{name}-%{version}.tar.xz

BuildRequires:  python2-devel
BuildRequires:  caja-devel
BuildRequires:  pygobject3-devel
BuildRequires:  mate-common


%description
Python bindings for Caja

%package devel
Summary:        Python bindings for Caja
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description devel
Python bindings for Caja


%prep
%setup -q
sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' examples/background-image.py
sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' examples/block-size-column.py
sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' examples/location-widget-provider.py
sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' examples/md5sum-property-page.py
sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' examples/open-terminal.py
sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' examples/submenu.py
sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' examples/update-file-info-async.py

%build

%configure \
     --disable-static

make %{?_smp_mflags}


%install
%{make_install}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/caja-python/extensions
find $RPM_BUILD_ROOT -name '*.la' -delete

%find_lang %{name} --with-gnome --all-name

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%doc README AUTHORS COPYING NEWS
%{_libdir}/caja/extensions-2.0/libcaja-python.so
%{_datadir}/caja/extensions/libcaja-python.caja-extension
%dir %{_datadir}/caja-python
%dir %{_datadir}/caja-python/extensions
%{_docdir}/python-caja/examples/
%if 0%{?rhel}
%{_docdir}/python-caja/README
%endif

%files devel
%{_libdir}/pkgconfig/caja-python.pc


%changelog
* Tue Mar 14 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.18.0-1
- update to 1.18.0 release

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Dec 06 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.17.0-1
- test 1.17.0 release

* Thu Sep 22 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.16.0-1
- update to 1.16.0 release

* Mon Jun 13 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.15.0-1
- update to 1.15.0 release

* Thu Apr 07 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.14.0-1
- update to 1.14.0

* Sun Feb 07 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.13.0-1
- update to 1.13.0 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 06 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.12.0-1
- update to 1.12.0 release

* Sat Sep 12 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:1.10.0-1
- update to 1.10.0 release
- remove patches
- remove conditions for caja

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.4.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr 05 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:1.4.0-6
- use and own %%{_libdir}/caja/extensions-2.0/python
- fix rhbz (#1082693)

* Sun Mar 16 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:1.4.0-5
- create and own /usr/lib/caja/extensions-2.0/python/ directory

* Wed Dec 18 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:1.4.0-4
- rebuild for caja rename in f21
- add python2 stacks

* Mon Sep 23 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:1.4.0-3
- own directories

* Fri Sep 06 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:1.4.0-2
- initial build for fedora
- use modern make install macro
- add epoch tag to obsolete python-caja from external repo
- add upstream patches to fix incorrect-FSF-address
- add upstream patch for automake-1.13
- add LGPLv2+ to license information

* Thu May 30 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-1
- build for f19
- add python-caja_removal_of_mate-python_usage.patch

* Tue Apr 10 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.2.0-1
- rename package to python-caja

* Wed Mar 14 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.2.0-1
- update to 1.2.0 version

* Mon Feb 13 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - caja-python-1.1.0-2
- rebuild for enable builds for .i686

* Sat Jan 21 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- update to version 1.1.0

* Wed Jan 04 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 2011.12.01-1
- caja-python.spec based on nautilus-python-1.0-1.fc16 spec
